<?php


namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections\Lxc;


use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections\TwiceColumnSection;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Text;

class ServerSection extends TwiceColumnSection implements AdminArea
{
    protected $id = 'serverSection';
    protected $name = 'serverSection';
    protected $title = 'serverSection';

    protected function initFields()
    {
        //CPU Cores
        $field = new Text('customconfigoption[serverCores]');
        $field->setDescription('tip');
        $field->setDefaultValue('1-20');
        $this->addField($field);
        //CPU Limit
        $field = new Text('customconfigoption[serverCpulimit]');
        $field->setDescription('tip');
        $field->setDefaultValue('0.1-1');
        $this->addField($field);
        //CPU Units
        $field = new Text('customconfigoption[serverCpuunit]');
        $field->setDescription('tip');
        $field->setDefaultValue('1024-500000');
        $this->addField($field);
        //Memory
        $field = new Text('customconfigoption[serverMemory]');
        $field->setDescription('tip');
        $field->setDefaultValue('512-4096');
        $this->addField($field);
        //SWAP
        $field = new Text('customconfigoption[serverSwap]');
        $field->setDescription('tip');
        $field->setDefaultValue('512-9048');
        $this->addField($field);
        //Disk Space
        $field = new Text('customconfigoption[serverDiskSize]');
        $field->setDescription('tip');
        $field->setDefaultValue('8-100');
        $this->addField($field);
        //IPv4
        $field = new Text('customconfigoption[serverIpv4]');
        $field->setDescription('tip');
        $field->setDefaultValue('1-10');
        $this->addField($field);
        //IPv6
        $field = new Text('customconfigoption[serverIpv6]');
        $field->setDescription('tip');
        $field->setDefaultValue('0-10');
        $this->addField($field);
    }
}